CKEDITOR.plugins.add( 'gdwl',
{
	init: function( editor )
	{
		editor.addCommand( 'gdwlCommand',
		{
			exec : function( editor )
			{
				var selected = '';
				if  (editor.getSelection().getSelectedText()) {
					selected = editor.getSelection().getSelectedText();
				} else {
					alert('رجاء تحديد النص اولا');
					return;
				}
				editor.insertHtml( "[gdwl]" + selected +"[/gdwl]" );
			}
		});
		editor.ui.addButton( 'gdwl',
		{
			label: 'اضافة اطار يضيء باللونين الأحمر والأزرق حول النص',
			command: 'gdwlCommand',
			icon: this.path + 'gdwl.gif',
			style: 'dispaly:none;width:21px;height:21px;'
		});
	}
});